## python-oslo.versionedobjects 1.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
Babel>=1.3 # BSD
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
iso8601>=0.1.9 # MIT
oslo.log>=1.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
WebOb>=1.2.3 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD

## python-oslo.versionedobjects 0.1.1

=== debian/changelog ===
python-oslo.versionedobjects (0.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1444590) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2015 12:27:33 -0400

python-oslo.versionedobjects (0.1.0-0ubuntu1) vivid; urgency=medium

  [ Thomas Goirand ]
  * Initial release. (Closes: #779353)

  [ James Page]
  * Initial release, from Debian VCS, to support OpenStack Heat Kilo-3.
    - d/*: Transition to oslo-versionedobjects naming inline with other
      oslo packages in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Mar 2015 13:58:45 +0000

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-oslo-concurrency (>= 1.4.1),
                     python-oslo-context (>= 0.1.0),
                     python-oslo-i18n (>= 1.3.0),
                     python-oslo-log (>= 0.1.0),
                     python-oslo-messaging (>= 1.4.0),
                     python-oslo-serialization (>= 1.2.0),
                     python-oslo-utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-six (>= 1.7.0),
                     python-testtools (>= 0.9.36),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.versionedobjects.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects

Package: python-oslo-versionedobjects
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-fixtures (>= 0.3.14),
         python-iso8601 (>= 0.1.9),
         python-mock (>= 1.0),
         python-oslo-concurrency (>= 1.4.1),
         python-oslo-context (>= 0.1.0),
         python-oslo-i18n (>= 1.3.0),
         python-oslo-log (>= 0.1.0),
         python-oslo-messaging (>= 1.4.0),
         python-oslo-serialization (>= 1.2.0),
         python-oslo-utils (>= 1.2.0),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo-versionedobjects-doc
Description: deals with DB schema versions and code expectations - Python 2.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows us to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo-versionedobjects-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows us to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo-versionedobjects; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo-versionedobjects/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHONS); do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo-versionedobjects-doc/usr/share/doc/python-oslo-versionedobjects-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.versionedobjects oslo.versionedobjects-(.*).tar.gz

## python-oslo.versionedobjects 0.10.0

=== debian/changelog ===
python-oslo.versionedobjects (0.10.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 05:43:01 +0000

python-oslo.versionedobjects (0.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 21:52:23 +0200

python-oslo.versionedobjects (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not run unit tests using Python 3.5, as eventlet is broken there.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 09:50:50 +0000

python-oslo.versionedobjects (0.6.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Aug 2015 21:47:49 +0000

python-oslo.versionedobjects (0.6.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Priority extra for transition packages.
  * Watch file now using Github tag and not broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Aug 2015 19:14:06 +0000

python-oslo.versionedobjects (0.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-versionedobjects in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:48:52 +0100

python-oslo.versionedobjects (0.1.1-2) unstable; urgency=medium

  * Added missing (build-)depends on python-webob.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2015 22:48:16 +0200

python-oslo.versionedobjects (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #779353)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2015 16:05:31 +0100

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-fixtures,
                     python-hacking,
                     python-iso8601,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-babel,
                     python3-fixtures,
                     python3-iso8601,
                     python3-oslo.concurrency (>= 2.3.0),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslo.messaging (>= 1.16.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.versionedobjects.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects

Package: python-oslo.versionedobjects
Architecture: all
Depends: python-babel,
         python-fixtures,
         python-iso8601,
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-six (>= 1.9.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.versionedobjects-doc,
Breaks: python-oslo-versionedobjects (<< 0.3.0-1~),
Replaces: python-oslo-versionedobjects (<< 0.3.0-1~),
Description: deals with DB schema versions and code expectations - Python 2.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.versionedobjects
Architecture: all
Depends: python3-babel,
         python3-fixtures,
         python3-iso8601,
         python3-oslo.concurrency (>= 2.3.0),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.log (>= 1.8.0),
         python3-oslo.messaging (>= 1.16.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-six (>= 1.9.0),
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.versionedobjects-doc
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python-oslo-versionedobjects
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.versionedobjects,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-versionedobjects
 This transitional package is safe to remove.

Package: python-oslo-versionedobjects-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.versionedobjects-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-versionedobjects-doc
 This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,20 +14,28 @@
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo-versionedobjects; \
+			--root $(CURDIR)/debian/python-oslo.versionedobjects; \
 	done
-	rm -rf $(CURDIR)/debian/python*-oslo-versionedobjects/usr/lib/python*/dist-packages/*.pth
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-oslo.versionedobjects; \
+	done
+	rm -rf $(CURDIR)/debian/python*-oslo.versionedobjects/usr/lib/python*/dist-packages/*.pth
+
+
+# oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base
+# oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in $(PYTHONS); do \
+	set -e ; set -x ; for i in 2.7 3.4 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit '^(?!('"oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base.*|oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base.*"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
@@ -35,7 +43,7 @@
 endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo-versionedobjects-doc/usr/share/doc/python-oslo-versionedobjects-doc/html
+	sphinx-build -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.versionedobjects/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.versionedobjects 1.8.0

=== debian/changelog ===
python-oslo.versionedobjects (1.8.0-1ubuntu1) xenial; urgency=medium

  * d/p/fixing-UUID-coerce-function-for-unicode-non-uuid-for.patch:
    Cherry-pick upstream patches to enable use of unicode user ID in Python2.7
    (LP: #1763179).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jun 2018 08:29:48 -0400

python-oslo.versionedobjects (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of python{3,}-oslo.config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:49:13 +0200

python-oslo.versionedobjects (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:04:10 +0000

python-oslo.versionedobjects (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Fixed duplicate long description.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 09:11:13 +0000

python-oslo.versionedobjects (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also testing with Python 3.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 09:28:51 +0000

python-oslo.versionedobjects (1.0.0-1) experimental; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 16:40:34 +0000

python-oslo.versionedobjects (0.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:51:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-oslo.versionedobjects 1.13.0

=== debian/changelog ===
python-oslo.versionedobjects (1.13.0-1+57~bpo8+1) UNRELEASED; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Bump python-oslo.utils BD to >= 3.15.0.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:05 +0000

python-oslo.versionedobjects (1.9.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:50:05 +0000

python-oslo.versionedobjects (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:39:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -13,58 +15,58 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-coverage,
                      python-fixtures,
                      python-hacking,
                      python-iso8601,
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.context (>= 0.2.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-netaddr (>= 0.7.12),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 2.0.0),
+                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
                      python-webob,
-                     python3-babel,
                      python3-fixtures,
                      python3-iso8601,
-                     python3-oslo.concurrency (>= 2.3.0),
-                     python3-oslo.config (>= 1:2.3.0),
-                     python3-oslo.context (>= 0.2.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.log (>= 1.8.0),
-                     python3-oslo.messaging (>= 1.16.0),
-                     python3-oslo.serialization (>= 1.4.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-netaddr (>= 0.7.12),
+                     python3-oslo.concurrency (>= 3.8.0),
+                     python3-oslo.config (>= 1:3.12.0),
+                     python3-oslo.context (>= 2.4.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.log (>= 2.0.0),
+                     python3-oslo.messaging (>= 5.2.0),
+                     python3-oslo.serialization (>= 2.0.0),
+                     python3-oslo.utils (>= 3.15.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testtools (>= 1.4.0),
                      python3-webob,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.versionedobjects.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.versionedobjects.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.versionedobjects?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-oslo.versionedobjects -b debian/newton
 Homepage: https://github.com/openstack/oslo.versionedobjects
 
 Package: python-oslo.versionedobjects
 Architecture: all
-Depends: python-babel,
-         python-fixtures,
+Depends: python-fixtures,
          python-iso8601,
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.context (>= 0.2.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 2.0.0),
+         python-oslo.messaging (>= 5.2.0),
+         python-oslo.serialization (>= 2.0.0),
+         python-oslo.utils (>= 3.15.0),
          python-six (>= 1.9.0),
          python-webob,
          ${misc:Depends},
@@ -84,17 +86,16 @@
 
 Package: python3-oslo.versionedobjects
 Architecture: all
-Depends: python3-babel,
-         python3-fixtures,
+Depends: python3-fixtures,
          python3-iso8601,
-         python3-oslo.concurrency (>= 2.3.0),
-         python3-oslo.config (>= 1:2.3.0),
-         python3-oslo.context (>= 0.2.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.log (>= 1.8.0),
-         python3-oslo.messaging (>= 1.16.0),
-         python3-oslo.serialization (>= 1.4.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-oslo.concurrency (>= 3.8.0),
+         python3-oslo.config (>= 1:3.12.0),
+         python3-oslo.context (>= 2.4.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.log (>= 2.0.0),
+         python3-oslo.messaging (>= 5.2.0),
+         python3-oslo.serialization (>= 2.0.0),
+         python3-oslo.utils (>= 3.15.0),
          python3-six (>= 1.9.0),
          python3-webob,
          ${misc:Depends},
@@ -132,7 +133,7 @@
 Depends: python-oslo.versionedobjects,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-versionedobjects
- This transitional package is safe to remove.
+ This transitional package to python-oslo.versionedobjects is safe to remove.
 
 Package: python-oslo-versionedobjects-doc
 Section: oldlibs
@@ -141,4 +142,5 @@
 Depends: python-oslo.versionedobjects-doc,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-versionedobjects-doc
- This transitional package is safe to remove.
+ This transitional package to python-oslo.versionedobjects-doc is safe to
+ remove.

## python-oslo.versionedobjects 1.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.6.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.log>=1.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
WebOb>=1.2.3 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (1.17.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:53:37 +0000

python-oslo.versionedobjects (1.17.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:23 +0200

python-oslo.versionedobjects (1.17.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 13:36:29 +0200

python-oslo.versionedobjects (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 09:09:53 +0100

python-oslo.versionedobjects (1.15.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Bump python-oslo.utils BD to >= 3.15.0.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 11:18:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -21,15 +21,15 @@
                      python-iso8601,
                      python-netaddr (>= 0.7.12),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.6.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
                      python-webob,
@@ -37,22 +37,22 @@
                      python3-iso8601,
                      python3-netaddr (>= 0.7.12),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.12.0),
-                     python3-oslo.context (>= 2.4.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.context (>= 2.6.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 2.0.0),
                      python3-oslo.messaging (>= 5.2.0),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.15.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testtools (>= 1.4.0),
                      python3-webob,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.versionedobjects?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.versionedobjects -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.versionedobjects?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/git/openstack/deb-python-oslo.versionedobjects -b debian/newton
 Homepage: https://github.com/openstack/oslo.versionedobjects
 
 Package: python-oslo.versionedobjects
@@ -60,13 +60,13 @@
 Depends: python-fixtures,
          python-iso8601,
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.6.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-six (>= 1.9.0),
          python-webob,
          ${misc:Depends},
@@ -89,13 +89,13 @@
 Depends: python3-fixtures,
          python3-iso8601,
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.12.0),
-         python3-oslo.context (>= 2.4.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.context (>= 2.6.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 2.0.0),
          python3-oslo.messaging (>= 5.2.0),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.15.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-six (>= 1.9.0),
          python3-webob,
          ${misc:Depends},

## python-oslo.versionedobjects 1.21.0

=== debian/changelog ===
python-oslo.versionedobjects (1.21.0-0ubuntu1~cloud2) xenial-ocata; urgency=medium

  * d/p/dont-force-unicode-strings-for-UUID-coercion.patch:
    This reverts and changes the fix provided by
    d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
    (LP: #1763179).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Apr 2018 08:51:57 -0400

python-oslo.versionedobjects (1.21.0-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * Fixing UUID coerce function for unicode non uuid form id (LP: #1760918)
    - d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Sun, 08 Apr 2018 19:34:44 -0700

python-oslo.versionedobjects (1.21.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 19:00:00 +0000

python-oslo.versionedobjects (1.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:33:27 -0500

python-oslo.versionedobjects (1.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:06:03 -0500

python-oslo.versionedobjects (1.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Add autopkgtest
  * d/control: Align Depends with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 09:39:26 -0500

python-oslo.versionedobjects (1.18.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control:
    - Add jsonschema as a build dependency for unit tests.
    - Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 08:45:13 -0400

python-oslo.versionedobjects (1.17.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:08:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -19,41 +20,44 @@
                      python-fixtures,
                      python-hacking,
                      python-iso8601,
-                     python-netaddr (>= 0.7.12),
+                     python-jsonschema (>= 2.0.0),
+                     python-netaddr (>= 0.7.13),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.6.0),
+                     python-oslo.context (>= 2.9.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
                      python-webob,
                      python3-fixtures,
                      python3-iso8601,
-                     python3-netaddr (>= 0.7.12),
+                     python3-jsonschema (>= 2.0.0),
+                     python3-netaddr (>= 0.7.13),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.context (>= 2.6.0),
+                     python3-oslo.context (>= 2.9.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 2.0.0),
-                     python3-oslo.messaging (>= 5.2.0),
+                     python3-oslo.messaging (>= 5.14.0),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testtools (>= 1.4.0),
                      python3-webob,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.versionedobjects?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/git/openstack/deb-python-oslo.versionedobjects -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
 Homepage: https://github.com/openstack/oslo.versionedobjects
+Testsuite: autopkgtest-pkg-python
 
 Package: python-oslo.versionedobjects
 Architecture: all
@@ -61,12 +65,12 @@
          python-iso8601,
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.6.0),
+         python-oslo.context (>= 2.9.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-six (>= 1.9.0),
          python-webob,
          ${misc:Depends},
@@ -92,10 +96,10 @@
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.context (>= 2.6.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 2.0.0),
-         python3-oslo.messaging (>= 5.2.0),
+         python3-oslo.log (>= 3.11.0),
+         python3-oslo.messaging (>= 5.14.0),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-six (>= 1.9.0),
          python3-webob,
          ${misc:Depends},

## python-oslo.versionedobjects 1.26.0

=== debian/changelog ===
python-oslo.versionedobjects (1.26.0-0ubuntu2) artful; urgency=medium

  [ Corey Bryant ]
  * d/p/dont-force-unicode-strings-for-UUID-coercion.patch:
    This reverts and changes the fix provided by
    d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
    (LP: #1763179).

  [ Seyeong Kim ]
  * Fixing UUID coerce function for unicode non uuid form id (LP: #1760918)
    - d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/pike branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Apr 2018 08:47:39 -0400

python-oslo.versionedobjects (1.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:32:22 -0400

python-oslo.versionedobjects (1.25.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 12:40:45 -0400

python-oslo.versionedobjects (1.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:22 +0100

python-oslo.versionedobjects (1.23.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-fixtures,
@@ -22,35 +22,36 @@
                      python-iso8601,
                      python-jsonschema (>= 2.0.0),
                      python-netaddr (>= 0.7.13),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.24.2),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
-                     python-webob,
+                     python-webob (>= 1.7.1),
                      python3-fixtures,
                      python3-iso8601,
                      python3-jsonschema (>= 2.0.0),
                      python3-netaddr (>= 0.7.13),
+                     python3-openstackdocstheme (>= 1.11.0),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.context (>= 2.9.0),
+                     python3-oslo.config (>= 1:4.0.0),
+                     python3-oslo.context (>= 2.14.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 2.0.0),
-                     python3-oslo.messaging (>= 5.14.0),
+                     python3-oslo.log (>= 3.22.0),
+                     python3-oslo.messaging (>= 5.24.2),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testtools (>= 1.4.0),
-                     python3-webob,
+                     python3-webob (>= 1.7.1),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
@@ -64,15 +65,15 @@
 Depends: python-fixtures,
          python-iso8601,
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.24.2),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-six (>= 1.9.0),
-         python-webob,
+         python-webob (>= 1.7.1),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-oslo.versionedobjects-doc,
@@ -93,15 +94,15 @@
 Depends: python3-fixtures,
          python3-iso8601,
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.context (>= 2.6.0),
+         python3-oslo.config (>= 1:4.0.0),
+         python3-oslo.context (>= 2.14.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.11.0),
-         python3-oslo.messaging (>= 5.14.0),
+         python3-oslo.log (>= 3.22.0),
+         python3-oslo.messaging (>= 5.24.2),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.18.0),
+         python3-oslo.utils (>= 3.20.0),
          python3-six (>= 1.9.0),
-         python3-webob,
+         python3-webob (>= 1.7.1),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-oslo.versionedobjects-doc
